Plugin.extend({
	target: '',
    _type: 'eraser',
    _isContainer: false,
    _render: true,
    initPlugin: function(data) {
        var dims = this.relativeDims();
        var instance = this;
        var div = document.getElementById(data.id);
        if (div) {
            jQuery("#" + data.id).remove();
        }
        
		div = document.createElement('div');
        target = data.target;
		
		if(data.type=="custom")
		{
			div.id = "parentDivEraser";
			div.innerHTML = '';
		}
		var eraserParent = document.createElement('div');
        eraserParent.id = "erasedDivParent";

		var eraser = document.createElement('div');
        eraser.id = "erasedDiv";

        var eraserImageSrc = Renderer.theme._data.manifest.media.find(function(o) {
            return o.id == 'erraserIcon'
        });

        var eraserImageElement = document.createElement("img");
        eraserImageElement.setAttribute("id", "eraserImg");
        eraserImageElement.setAttribute("src", eraserImageSrc.src);

        eraser.appendChild(eraserImageElement);

        eraserParent.appendChild(eraser);
		div.appendChild(eraserParent);

        var parentDiv = document.getElementById(Renderer.divIds.gameArea);
		parentDiv.insertBefore(div, parentDiv.childNodes[0]);
		
	    div.addEventListener("click",function(){
			var txtObject = PluginManager.getPluginObject(target);
            var textInput = txtObject._self.text;
            txtObject._self.text = textInput.slice(0, -1);
			Renderer.update = true;
            instance._stage.setModelValue(txtObject._data.model, txtObject._self.text);
        });
			
		
    },
	switchTarget:function(action){
		target = action.id;
	}
	
});

//# sourceURL=eraserAdvanced.js

